﻿/** @file cmutex.cpp

	@author Sasaji
	@date   2016.11.01

	@brief mutex
*/

#include "cmutex.h"

CMutex::CMutex()
{
	InitializeCriticalSection(&cs);
}

CMutex::~CMutex()
{
	DeleteCriticalSection(&cs);
}

void CMutex::lock()
{
	EnterCriticalSection(&cs);
}

void CMutex::unlock()
{
	LeaveCriticalSection(&cs);
}

